Loading...
Searching...
No Matches
cpe_edition_iterator Struct Reference
CPE » CPE Dictionary

Iterator over CPE dictionary item editions. More...

`#include <cpe_dict.h>`

## Public Member Functions

Iterators
OSCAP_API struct cpe_edition * | cpe_edition_iterator_next (struct cpe_edition_iterator *it)
| Iterator over CPE edition items.
OSCAP_API bool | cpe_edition_iterator_has_more (struct cpe_edition_iterator *it)
| Iterator over CPE edition items.
OSCAP_API void | cpe_edition_iterator_free (struct cpe_edition_iterator *it)
| Iterator over CPE edition items.
OSCAP_API void | cpe_edition_iterator_remove (struct cpe_edition_iterator *it)
OSCAP_API void | cpe_edition_iterator_reset (struct cpe_edition_iterator *it)

## Detailed Description

Iterator over CPE dictionary item editions.

See also
  oscap_iterator

The documentation for this struct was generated from the following file:

- cpe_dict.h